List system nodes

View as Markdown
List system nodes visible to your account.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

categoryenumOptional
The Air specific category the node belongs to. * `` - None * `SERVER` - Server * `SWITCH` - Switch * `OOB_SERVER` - OOB Management Server * `OOB_SWITCH` - OOB Management Switch
Allowed values:
idstringOptionalformat: "uuid"
imagestringOptionalformat: "uuid"

Lookup all system nodes for a specific image.

labels__groupstringOptional

Filter by the group label.

labels__modelstringOptional

Filter by the model label.

labels__skustringOptional

Filter by the sku label.

limitintegerOptional
Number of results to return per page.
namestringOptional
offsetintegerOptional
The initial index from which to return the results.
orderingenumOptional

Order objects by field. Prefix with - for descending order.

searchstringOptional

Search by name.

simulationstringOptional
Lookup all system nodes for a specific `simulation` value, or provide null (a string literal) to filter for nodes that are not associated with a specific simulation (i.e. simulation=null). To filter for all nodes with EITHER simulation=null or simulation=<sim_uuid>, provide `?simulation=<sim_uuid>,null` as your query parameter.

Response

countinteger
resultslist of objects
nextstring or nullOptionalformat: "uri"
previousstring or nullOptionalformat: "uri"

Errors

400
Bad Request Error
403
Forbidden Error
500
Internal Server Error